Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.iterator
Class SimpleForEachIterator

    java.lang.Object
      org.richfaces.iterator.SimpleForEachIterator

All Implemented Interfaces:
  java.io.Serializable, ForEachIterator

    public class SimpleForEachIterator

extends java.lang.Object
implements ForEachIterator, java.io.Serializable

TODO Class description goes here.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Constructor Summary
`SimpleForEachIterator(java.util.Iterator i)`

Method Summary
`static ForEachIterator` | `beginEndForEachIterator(int end)`
`java.lang.String` | `getVarReplacement()`
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`static ForEachIterator` | `supportedTypeForEachIterator(java.lang.Object o)`
`protected static ForEachIterator` | `toForEachIterator(boolean[] a)`
`protected static ForEachIterator` | `toForEachIterator(byte[] a)`
`protected static ForEachIterator` | `toForEachIterator(char[] a)`
`protected static ForEachIterator` | `toForEachIterator(java.util.Collection c)`
`protected static ForEachIterator` | `toForEachIterator(double[] a)`
`protected static ForEachIterator` | `toForEachIterator(java.util.Enumeration e)`
`protected static ForEachIterator` | `toForEachIterator(float[] a)`
`protected static ForEachIterator` | `toForEachIterator(int[] a)`
`protected static ForEachIterator` | `toForEachIterator(java.util.Iterator i)`
`protected static ForEachIterator` | `toForEachIterator(long[] a)`
`protected static ForEachIterator` | `toForEachIterator(java.util.Map m)`
`protected static ForEachIterator` | `toForEachIterator(java.lang.Object o)`
`protected static ForEachIterator` | `toForEachIterator(java.lang.Object[] a)`
`protected static ForEachIterator` | `toForEachIterator(short[] a)`
`protected static ForEachIterator` | `toForEachIterator(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleForEachIterator

    public SimpleForEachIterator(java.util.Iterator i)

Method Detail

### supportedTypeForEachIterator

    public static ForEachIterator supportedTypeForEachIterator(java.lang.Object o)
                                                        throws javax.servlet.jsp.JspTagException

  Throws:
    `javax.servlet.jsp.JspTagException`

### beginEndForEachIterator

    public static ForEachIterator beginEndForEachIterator(int end)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(java.lang.Object o)
                                                throws javax.servlet.jsp.JspTagException

  Throws:
    `javax.servlet.jsp.JspTagException`

### toForEachIterator

    protected static ForEachIterator toForEachIterator(java.lang.Object[] a)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(boolean[] a)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(byte[] a)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(char[] a)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(short[] a)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(int[] a)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(long[] a)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(float[] a)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(double[] a)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(java.util.Collection c)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(java.util.Iterator i)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(java.util.Enumeration e)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(java.util.Map m)

### toForEachIterator

    protected static ForEachIterator toForEachIterator(java.lang.String s)

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `ForEachIterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `ForEachIterator`

### getVarReplacement

    public java.lang.String getVarReplacement()

  Specified by:
    `getVarReplacement` in interface `ForEachIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.